mscorlib 2.0.0.0 4.0.0.0 System.Object

If the current has a reference to a in its property, then the common language runtime calls the manager every time a call to the method occurs, to allow the host to participate in the flow of the execution context.

Provides the functionality that allows a common language runtime host to participate in the flow, or migration, of the execution context.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Threading.HostExecutionContext

  The is created using a safe handle containing the IUnknown pointer for the host executing the current thread.

  Captures the host execution context from the current thread.

  A object representing the host execution context of the current thread.

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.MayFail)
  System.Void ``

  must be the object returned by the method.

  Restores the host execution context to its prior state.

  The previous context state to revert to.
- Method
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method sets the host execution context for the current . A that has been used as the argument to another method call cannot be passed in as the parameter for this method. Instead, use the method to create a copy of a object and then use the copy to set the host execution context.

  Call the method using the object returned by this method to restore the to its previous state.

  Sets the current host execution context to the specified host execution context.

  An object for restoring the to its previous state.

  The to be set.